OnDiskAtom.Serializer (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.db

## Class OnDiskAtom.Serializer

- java.lang.Object
- - org.apache.cassandra.db.OnDiskAtom.Serializer

- All Implemented Interfaces:
    ISSTableSerializer<OnDiskAtom>
  Enclosing interface:
    OnDiskAtom

      public static class OnDiskAtom.Serializer
      extends java.lang.Object
      implements ISSTableSerializer<OnDiskAtom>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OnDiskAtom.Serializer(CellNameType type)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `OnDiskAtom` | `deserializeFromSSTable(java.io.DataInput in, ColumnSerializer.Flag flag, int expireBefore, Descriptor.Version version)`
    `OnDiskAtom` | `deserializeFromSSTable(java.io.DataInput in, Descriptor.Version version)` Deserialize into the specified DataInputStream instance in the format suited for SSTables.
    `long` | `serializedSizeForSSTable(OnDiskAtom atom)`
    `void` | `serializeForSSTable(OnDiskAtom atom, DataOutputPlus out)` Serialize the specified type into the specified DataOutputStream instance in the format suited for SSTables.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OnDiskAtom.Serializer

          public OnDiskAtom.Serializer(CellNameType type)

  - ### Method Detail

    - #### serializeForSSTable

          public void serializeForSSTable(OnDiskAtom atom,
                                 DataOutputPlus out)
                                   throws java.io.IOException

      Description copied from interface: `ISSTableSerializer`
      Serialize the specified type into the specified DataOutputStream instance in the format suited for SSTables.
      Specified by:
        `serializeForSSTable` in interface `ISSTableSerializer<OnDiskAtom>`
      Parameters:
        `atom` - type that needs to be serialized
        `out` - DataOutput into which serialization needs to happen.
      Throws:
        `java.io.IOException`

    - #### deserializeFromSSTable

          public OnDiskAtom deserializeFromSSTable(java.io.DataInput in,
                                          Descriptor.Version version)
                                            throws java.io.IOException

      Description copied from interface: `ISSTableSerializer`
      Deserialize into the specified DataInputStream instance in the format suited for SSTables.
      Specified by:
        `deserializeFromSSTable` in interface `ISSTableSerializer<OnDiskAtom>`
      Parameters:
        `in` - DataInput from which deserialization needs to happen.
        `version` - the version for the sstable we're reading from
      Returns:
        the type that was deserialized
      Throws:
        `java.io.IOException`

    - #### deserializeFromSSTable

          public OnDiskAtom deserializeFromSSTable(java.io.DataInput in,
                                          ColumnSerializer.Flag flag,
                                          int expireBefore,
                                          Descriptor.Version version)
                                            throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### serializedSizeForSSTable

          public long serializedSizeForSSTable(OnDiskAtom atom)

Copyright © 2014 The Apache Software Foundation